Subject: bug#18892: few test failure with 'grep-2.20.72-d512'

From: Bruce Dubbs <[email-masked]>
Date: Thu, 30 Oct 2014 17:05:44 -0500

FYI, LFS only has zh_CN.GB18030 for Chinese by default.  We only create 
the locales needed for the glibc regression tests.  We can add others 
easily enough but perhaps the test should only check for those present.

   -- Bruce

Jim Meyering wrote:
> For the record, you may want to run something like this to survey
> whether \w matches E-acute across all  installed zh_CN locales:
>
> (here's output from an os x 10.9.5 system -- on debian unstable and
> fedora rawhide, they're all "0"s)
> $ for i in $(locale -a|grep -i cn); do printf '\303\251'|LC_ALL=$i
> src/grep -q '\w'; echo $?: $i;done
> 0: zh_CN
> 1: zh_CN.eucCN
> 1: zh_CN.GB18030
> 1: zh_CN.GB2312
> 1: zh_CN.GBK
> 0: zh_CN.UTF-8
>
> On Thu, Oct 30, 2014 at 11:55 AM, Jim Meyering <[email-masked]> wrote:
>> Thank you both for all the testing and prompt feedback!
>> I've looked into the failures of the brand new word-multibyte test,
>> and am hoping the attached will fix it by requiring use of
>> the zh_CN.UTF-8 locale, rather than letting the system
>> choose a locale matching "zh_CN".  Does this patch solve
>> the problem for that test?
>>
>> On Wed, Oct 29, 2014 at 2:56 PM, Bruce Dubbs <[email-masked]> wrote:
>>> Assaf Gordon wrote:
>>>>
>>>> Hello,
>>>>
>>>> On 10/29/2014 02:29 PM, Jim Meyering wrote:
>>>>>
>>>>> Thanks to many fixes and improvements by Paul Eggert and Norihiro Tanaka,
>>>>> here is a pre-release snapshot:
>>>>>
>>>>> grep snapshot:
>>>>>     http://meyering.net/grep/grep-ss.tar.xz      1.2 MB
>>>>>     http://meyering.net/grep/grep-ss.tar.xz.sig
>>>>>     http://meyering.net/grep/grep-2.20.72-d512.tar.xz
>>>>>
>>>>
>>>> On Debian 7.6 (amd64, gcc 4.7.2) and Ubuntu 14.04.1 (amd64, gcc 4.8.2),
>>>> these fail:
>>>>     XFAIL: triple-backref
>>>>     FAIL: word-multibyte
>>>> Attached is the debian76.test-suite.log from Debian (Ubuntu seemed
>>>> identical).
>>>
>>>
>>> Linux From Scratch 7.6
>>>
>>> configure and make were clean.
>>>
>>> $ env RUN_EXPENSIVE_TESTS=yes make -k check
>>>
>>> big-match: skipped test: not enough main memory to run the test
>>> sjis-mb: skipped test: SJIS locale not found
>>>
>>> I do have 8G of memory.
>>>
>>> XFAIL: triple-backref
>>>
>>> SKIP: test-vc-list-files-cvs.sh  (cvs not present)
>>> SKIP: test-wcrtomb-w32-1.sh      (windows only?)
>>> SKIP: test-wcrtomb-w32-2.sh
>>> SKIP: test-wcrtomb-w32-3.sh
>>> SKIP: test-wcrtomb-w32-4.sh
>>> SKIP: test-wcrtomb-w32-5.sh
>>> FAIL: word-multibyte
>>>
>>> Looking at below, the FAIL may be because I have the locale zh_CN.gb18030,
>>> but not a plain zh_CN locale.
>>>
>>> And confirming after installing a plain zh_CN locale, word-multibyte passes.
>>>
>>>    -- Bruce